#include <iostream>
#include <vector>
using std::cin; using std::cout;
int main() {
    int N; int K; std::vector<int> karte; int temp;
    cin >> N >> K;
    for(int i = 0; i < N; i++){
        int p;
        cin >> p;
        karte.push_back(p);
    }
    for(int j = 0; j < N; j++){
        temp = j;
        if (karte[j] == K) {
            break;
        }
    }
    if(K == karte.back()) {
        cout << karte[0];
    }
    else{
        cout << karte[temp + 1];
    }
}